Updaten WordPress en plugins

Het updaten van een WordPress (zelf gehost) naar de nieuwste versie (op dit moment 3.5.1) en de bijbehorende plugins lijkt vaak makkelijker dan het is. Na klikken op "Update now" krijg je vaak een melding als " unable to remove the old plugin" of "no access" of "impossible….." . Heel erg frustrered. Vandaag een simpele oplossing die in veel gevallen zal werken en waarvoor niet geprutst hoeft te worden met file permissies:

1. Aanpassen htaccess file door plaatsen:

<Files wp-config.php>
order allow,deny
deny from all
</Files>

(Dat is alleen ter bescherming en mogelijk niet nodig)

2. Aanpassen wp-config.php file door plaatsen van server informatie en domein root informatie zoals:

define(‘FS_METHOD’, ‘ftpsockets’);
define(‘FTP_BASE’, ‘/domains/UWDOMEIN/public_html/SUBMAPVANWEBSITE/’);
define(‘FTP_CONTENT_DIR’, ‘/domains/UWDOMEIN/public_html/SUBMAP/wp-content/’);
define(‘FTP_PLUGIN_DIR ‘, ‘/domains/UWDOMEINpublic_html/SUBMAP/wp-content/plugins/’);
define(‘FTP_USER’, ‘GEBRUIKERSNAAM’);
define(‘FTP_PASS’, ‘WACHTWOORD’);
define(‘FTP_HOST’, ‘FTPSERVER’);

Vervolgens blijkt het bij mij bijna allemaal te lukken op een enkele plugin na.
Hulp nodig bij updaten wordpress? Mail info